summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2010-07-22 19:43:45 (GMT)
committer Peter Korsgaard <jacmet@sunsite.dk>2010-07-22 19:43:45 (GMT)
commitf4800b4654ae529d23b3c9697123c94ffce313d0 (patch)
treedc7b78054a67328640502dadca5904d851cc2916
parentd8a41bb5364461dd62a96fbc384649edd259c485 (diff)
downloadbuildroot-f4800b4654ae529d23b3c9697123c94ffce313d0.tar.gz
buildroot-f4800b4654ae529d23b3c9697123c94ffce313d0.tar.bz2
package: mark libglib12/libgtk12/dillo as deprecated
gtk2 was released back in 2002, and gtk3 is almost ready - So deprecate the old gtk12 stack. Unless someone complains, expect it to be removed during the 2010.11 development cycle. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
-rw-r--r--CHANGES2
-rw-r--r--package/dillo/Config.in1
-rw-r--r--package/libglib12/Config.in1
-rw-r--r--package/libgtk12/Config.in1
4 files changed, 5 insertions, 0 deletions
diff --git a/CHANGES b/CHANGES
index f031cb5..6fa9b7b 100644
--- a/CHANGES
+++ b/CHANGES
@@ -29,6 +29,8 @@
Removed packages: modutils, portage, rxvt
+ Deprecated packages: dillo, libglib12, libgtk12
+
Issues resolved (http://bugs.uclibc.org):
#321: alsa-lib uses host include files for python which breaks ...
diff --git a/package/dillo/Config.in b/package/dillo/Config.in
index 87418d2..63a4f7d 100644
--- a/package/dillo/Config.in
+++ b/package/dillo/Config.in
@@ -1,5 +1,6 @@
config BR2_PACKAGE_DILLO
bool "dillo"
+ depends on BR2_DEPRECATED
select BR2_PACKAGE_JPEG
select BR2_PACKAGE_LIBGLIB12
select BR2_PACKAGE_LIBGTK12
diff --git a/package/libglib12/Config.in b/package/libglib12/Config.in
index 17e2db5..f6b7d24 100644
--- a/package/libglib12/Config.in
+++ b/package/libglib12/Config.in
@@ -1,5 +1,6 @@
config BR2_PACKAGE_LIBGLIB12
bool "libglib12"
+ depends on BR2_DEPRECATED
help
Low-level core library that forms the basis of GTK+ and GNOME.
diff --git a/package/libgtk12/Config.in b/package/libgtk12/Config.in
index 01393f9..7845f20 100644
--- a/package/libgtk12/Config.in
+++ b/package/libgtk12/Config.in
@@ -1,5 +1,6 @@
config BR2_PACKAGE_LIBGTK12
bool "libgtk12"
+ depends on BR2_DEPRECATED
select BR2_PACKAGE_LIBGLIB12
depends on BR2_PACKAGE_XORG7
help